Bug 623604 - Review Request: xneur - X Neural Switcher
Summary: Review Request: xneur - X Neural Switcher
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: gxneur
TreeView+ depends on / blocked
 
Reported: 2010-08-12 09:56 UTC by Pavel Alexeev
Modified: 2010-11-05 22:57 UTC (History)
4 users (show)

Fixed In Version: xneur-0.10.0-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-19 07:19:24 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Alexeev 2010-08-12 09:56:33 UTC
Spec URL: http://hubbitus.net.ru/rpm/Fedora13/xneur/xneur.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora13/xneur/xneur-0.9.9-1.fc13.src.rpm
Description: Intellectual keyboard layouts switcher.
It's program like Punto Switcher, but has other functionally and features for configuration.

P.S. Spec file formatted by tabs with 5 space width (
http://fedoraproject.org/wiki/PavelAlexeev/tabsize ). Please, do not start
review if it is a problem for you.

Comment 1 Damian Wrobel 2010-09-18 14:42:16 UTC
Hi Pavel, I did an un-official(informal) xneur package review, please find some initial comments. As it's my first package review please be understanding if something is not perfect.

- MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint xneur-0.9.9-1.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK

- MUST: The package must be named according to the Package Naming Guidelines.

OK

- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

OK

- MUST: The package must meet the Packaging Guidelines.

OK

- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

OK, GPLv2+

- MUST: The License field in the package spec file must match the actual license.

$ grep -B 1 later xneur-0.9.9/COPYING 
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
--
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
NOT OK. The spec says it's GPLv2, but the licens is "or later version" like[1],
so the GPLv2+ should be used instead.


- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

OK

- MUST: The spec file must be written in American English. 

NOT OK.
The summary attempts to compare this program to a different one:
    "It's program like Punto Switcher, ..."
which should be avoided[2]. BTW, for people who don't know what the
Punto Switches program is designed for, such a comparison is rather useless.

- MUST: The spec file for the package MUST be legible. 

OK

- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ spectool xneur.spec | awk '{print $2}' | wget -i - -O - -o /dev/null | md5sum
3c87012e79838fb57220fe71a16546ce

$ rpmdev-md5 xneur-0.9.9-1.fc13.src.rpm  | grep .tar
3c87012e79838fb57220fe71a16546ce  xneur-0.9.9.tar.bz2

OK

- MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

NOT OK.
It doesn't build for i686 in mock for F-14 and F-15(rawhide) [3].
Please look for:
/usr/include/libnotify/notification.h:28:21: fatal error: gtk/gtk.h: No such file or directory
compilation terminated.


- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 

NOT OK.
Doesn't build yet.

- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

NOT OK.
Doesn't build yet.

- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK

- MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

OK

- MUST: Packages must NOT OK bundle copies of system libraries.

NOT OK.
It looks that it the xneur library needs to be packaged separately[4].

- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

OK

- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

$ rpm -qlv xneur | grep usr/lib/xneur
lrwxrwxrwx    1 root    root                       23 Sep 15 21:02 /usr/lib/xneur/libxnstatistic.so.0 -> libxnstatistic.so.0.0.0
-rwxr-xr-x    1 root    root                     9064 Sep 15 21:02 /usr/lib/xneur/libxnstatistic.so.0.0.0
lrwxrwxrwx    1 root    root                       18 Sep 15 21:02 /usr/lib/xneur/libxntest.so.0 -> libxntest.so.0.0.0
-rwxr-xr-x    1 root    root                     5248 Sep 15 21:02 /usr/lib/xneur/libxntest.so.0.0.0

NOT OK.
It looks that the package doesn't own all necessary directories (/usr/lib/xneur)[5].


- MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

OK

- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

OK

- MUST: Each package must consistently use macros.

OK.
Just please consider to replace %{_libdir}/xneur/*.so.*
with the %{_libdir}/%{name}/*.so.*

- MUST: The package must contain code, or permissable content.

OK

- MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

OK

- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

OK

- MUST: Header files must be in a -devel package.

$ rpmls xneur-0.9.9-1.fc13.i686.rpm  2>&1 | grep "\.h"
$
OK

- MUST: Static libraries must be in a -static package.

$rpmls xneur-*-0.9.9-1.fc13.i686.rpm  2>&1 | grep "\.a"
$
OK

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

OK

- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

OK

- MUST: Packages must NOT OK contain any .la libtool archives, these must be removed in the spec if they are built.

$ rpmls xneur-*-0.9.9-1.fc13.i686.rpm  2>&1 | grep "\.la"
$
OK

- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

OK

- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

OK

- MUST: All filenames in rpm packages must be valid UTF-8.

OK

References:
[1]. https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#.22or_later_version.22_licenses
[2]. https://fedoraproject.org/wiki/Packaging/Guidelines#summary
[3]. http://www.theowned.net/~dw/projects/rpmbuild/BUILD/LOGS/smock-build-xneur-0.9.9-1.log
[4]. http://fedoraproject.org/wiki/Packaging/Guidelines#Duplication_of_system_libraries
[5]. https://fedoraproject.org/wiki/Packaging:UnownedDirectories

Comment 2 Martin Gieseking 2010-09-18 16:16:42 UTC
Hi Pavel and Damian

(In reply to comment #1)
> NOT OK.
> The summary attempts to compare this program to a different one:
>     "It's program like Punto Switcher, ..."
> which should be avoided[2]. BTW, for people who don't know what the
> Punto Switches program is designed for, such a comparison is rather useless.

I agree here. I suggest to use a slightly shortened paragraph from Wikipedia, for example:

X Neural Switcher is a program for automatic (intelligent) keyboard layout changing in the X Window System. It is mainly used to change between Russian and English, but also supports Ukrainian, Belorussian, French, Romanian, Kazakh and German.


> - MUST: Packages must NOT OK bundle copies of system libraries.
> 
> NOT OK.
> It looks that it the xneur library needs to be packaged separately[4].

It's OK to put libraries that are an original part of the program into the same package as the program (here: xneur and libxneur). Nonetheless, it might be useful to put the library in a subpackage to avoid conflicts in multilib environments (where the 32bit and 64bit version of the library are installed). But this is up to the packager.

 
> - MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory.

> NOT OK.
> It looks that the package doesn't own all necessary directories
> (/usr/lib/xneur)[5].

Right. Add "%dir %{_libdir}/xneur" to the base package to make the package own this directory. Also, replace "%{includedir}/xneur/*" with "%{includedir}/xneur/". It adds the directory plus its contents.


> Just please consider to replace %{_libdir}/xneur/*.so.*
> with the %{_libdir}/%{name}/*.so.*

Both variants %{_libdir}/%{name}/*.so.* and %{_libdir}/xneur/*.so.* are fine. It's not necessary to exaggerate the use of macros. Escpecially %{name} is optional. But if %{name} is favored in %files, it should be used consistently, i.e. xneur and %{name} should not be mixed.

 
Here are some more notes:
- BR: autoconf, automake, and libtool are not required and should be removed

- libxnconfig and xneur contain rpaths (see rpmlint output below). 
  The rpath must be removed.
  http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath

- I recommend to be more specific in %files to avoid packaging unwanted files:
  %{_bindir}/xneur
  %{_mandir}/man1/xneur.1*
  %{_mandir}/man5/xneurrc.5*


$ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
xneur.src: I: enchant-dictionary-not-found ru
xneur.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libxnconfig.so.9.0.9 ['/usr/lib64']
xneur.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/xneur ['/usr/lib64']
xneur.x86_64: E: zero-length /usr/share/xneur/languages/es/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/es/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/gr/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ru/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lt/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/fr/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/uz/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/am/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/de/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lt/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/bg/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/fr/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lv/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/by/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ua/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ee/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ge/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ua/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/bg/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/uz/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ee/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ro/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/cz/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/by/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lv/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/am/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/cz/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/gr/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ge/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/de/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/pl/regexp
xneur-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 33 errors, 1 warnings.

Comment 3 Pavel Alexeev 2010-09-24 12:28:14 UTC
Damian and Martin, firstly thanks for the (pre)review.

(In reply to comment #1)
> - MUST: The License field in the package spec file must match the actual
> license.
> 
> $ grep -B 1 later xneur-0.9.9/COPYING 
> specifies a version number of this License which applies to it and "any
> later version", you have the option of following the terms and conditions
> either of that version or of any later version published by the Free
> --
>     the Free Software Foundation; either version 2 of the License, or
>     (at your option) any later version.
> 
> NOT OK. The spec says it's GPLv2, but the licens is "or later version" like[1],
> so the GPLv2+ should be used instead.

You are quote incorrect file - this is onlu standard text on GPLv2 license and phrase "or later version" there used in context of example of use it.
By the way, you are accidentally right, and source say also it should be GPLv2+. Fixed.

> - MUST: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. 
> 
> NOT OK.
> It doesn't build for i686 in mock for F-14 and F-15(rawhide) [3].
> Please look for:
> /usr/include/libnotify/notification.h:28:21: fatal error: gtk/gtk.h: No such
> file or directory
> compilation terminated.

Eeeh. You are right, very thanks. It built fine on Fedora 13 thought. Now I ask it in ML (http://www.mail-archive.com/devel@lists.fedoraproject.org/msg15816.html) and apply workaround.

> NOT OK.
> It looks that the package doesn't own all necessary directories
> (/usr/lib/xneur)[5].
Good point, fixed.

> Just please consider to replace %{_libdir}/xneur/*.so.*
> with the %{_libdir}/%{name}/*.so.*
Replaced.


(In reply to comment #2)
> Hi Pavel and Damian
> 
> (In reply to comment #1)
> > NOT OK.
> > The summary attempts to compare this program to a different one:
> >     "It's program like Punto Switcher, ..."
> > which should be avoided[2]. BTW, for people who don't know what the
> > Punto Switches program is designed for, such a comparison is rather useless.
> 
> I agree here. I suggest to use a slightly shortened paragraph from Wikipedia,
> for example:
> 
> X Neural Switcher is a program for automatic (intelligent) keyboard layout
> changing in the X Window System. It is mainly used to change between Russian
> and English, but also supports Ukrainian, Belorussian, French, Romanian, Kazakh
> and German.

It sounds good to me. I take it with only full lists of supported languages.

> > - MUST: Packages must NOT OK bundle copies of system libraries.
> > 
> > NOT OK.
> > It looks that it the xneur library needs to be packaged separately[4].
> 
> It's OK to put libraries that are an original part of the program into the same
> package as the program (here: xneur and libxneur). Nonetheless, it might be
> useful to put the library in a subpackage to avoid conflicts in multilib
> environments (where the 32bit and 64bit version of the library are installed).
> But this is up to the packager.

I think it is not intended use of this library anywhere outside xneur. So, it is not system library then. I do not willing packaging it separately until some one ask it for its work.

> > NOT OK.
> > It looks that the package doesn't own all necessary directories
> > (/usr/lib/xneur)[5].
> 
> Right. Add "%dir %{_libdir}/xneur" to the base package to make the package own
> this directory. Also, replace "%{includedir}/xneur/*" with
> "%{includedir}/xneur/". It adds the directory plus its contents.

Fixed, thanks. But I only prefer use %{name} there instead of directly mention "xneur".


> Here are some more notes:
> - BR: autoconf, automake, and libtool are not required and should be removed
Removed.


> - libxnconfig and xneur contain rpaths (see rpmlint output below). 
>   The rpath must be removed.
>   http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
It is not problem for internal libraries - http://fedoraproject.org/wiki/Packaging/Guidelines#Rpath_for_Internal_Libraries


> - I recommend to be more specific in %files to avoid packaging unwanted files:
>   %{_bindir}/xneur
I use it (again with macros variant %{name}).

>   %{_mandir}/man1/xneur.1*
>   %{_mandir}/man5/xneurrc.5*
I do not see any worth on it - we always want include all available mans.
 
> $ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
> xneur.src: I: enchant-dictionary-not-found ru
If I understand it correctly - you just do not have installed ru dictionary for hunspell and rpmlint can't spell it language.

Errors about zero-length files may be safely ignored. I want leave it in package as upstream make it - it just as placeholders.


http://hubbitus.net.ru/rpm/Fedora13/xneur/xneur-0.9.9-2.fc14.src.rpm

Comment 4 Martin Gieseking 2010-09-24 13:17:33 UTC
(In reply to comment #3)
> > - libxnconfig and xneur contain rpaths (see rpmlint output below). 
> >   The rpath must be removed.
> >   http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
> It is not problem for internal libraries -
> http://fedoraproject.org/wiki/Packaging/Guidelines#Rpath_for_Internal_Libraries

Since you provide a -devel subpackage, libxneur isn't purely internal to the bundled xneur utility. A future package might BR: xneur-devel and depend on libxneur. Hence, you should remove the rpath.


> >   %{_mandir}/man1/xneur.1*
> >   %{_mandir}/man5/xneurrc.5*
> I do not see any worth on it - we always want include all available mans.

The more verbose variants prevent accidentally installing files into wrong places in future releases. I already came across packages with man3 files in the man1 folder, and also non-manual files in one of the man folders. This was because "make install" put them into the wrong directory. Using the above mentioned lines would have made rpmbuild fail with an error. Thus, I recommend to use the more explicit lines in %files. It helps keeping the package clean.


> > $ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
> > xneur.src: I: enchant-dictionary-not-found ru
> If I understand it correctly - you just do not have installed ru dictionary for
> hunspell and rpmlint can't spell it language.

Right. The warning can be ignored.

Comment 5 Pavel Alexeev 2010-09-24 18:10:18 UTC
(In reply to comment #4)
> (In reply to comment #3)
> Since you provide a -devel subpackage, libxneur isn't purely internal to the
> bundled xneur utility. A future package might BR: xneur-devel and depend on
> libxneur. Hence, you should remove the rpath.
Ok, ok.
 
Man paths also now concrete.

http://hubbitus.net.ru/rpm/Fedora13/xneur/xneur-0.9.9-3.fc14.src.rpm

Comment 6 Martin Gieseking 2010-09-24 19:04:07 UTC
Hi Pavel,

thanks for the updates. The package looks almost fine now. Just add
%dir %{sysconfdir}/%{name}
to the %files section to make the base package own this directory.

The following rpmlint messages can be ignored if the zero-length files are going to be updated in a future release.

$ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
xneur.src: I: enchant-dictionary-not-found ru
xneur.x86_64: E: zero-length /usr/share/xneur/languages/es/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/es/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/gr/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ru/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lt/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/fr/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/uz/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/am/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/de/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lt/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/bg/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/fr/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lv/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/by/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ua/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ee/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ge/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ua/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/bg/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/uz/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ee/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ro/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/cz/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/by/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/lv/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/am/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/cz/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/gr/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/ge/regexp
xneur.x86_64: E: zero-length /usr/share/xneur/languages/de/dict
xneur.x86_64: E: zero-length /usr/share/xneur/languages/pl/regexp
xneur-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 31 errors, 1 warnings.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2 according to source file headers

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum xneur-0.9.9.tar.bz2*
    3c87012e79838fb57220fe71a16546ce  xneur-0.9.9.tar.bz2
    3c87012e79838fb57220fe71a16546ce  xneur-0.9.9.tar.bz2.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - Koji scratch build for F14:
      http://koji.fedoraproject.org/koji/taskinfo?taskID=2487627

[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly. 
[+] MUST: Packages storing shared libraries must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[X] MUST: A package must own all directories that it creates. 
    - the base package doesn't own %{sysconfdir}/%{name}

[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: library files that end in .so must go in a -devel package.
[+] MUST: devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s)...
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. 
    - seems to work as expected

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: subpackages other than devel should require the base package 
[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, ...
[+] SHOULD: your package should contain man pages for binaries/scripts.

Comment 7 Pavel Alexeev 2010-09-25 06:37:32 UTC
Ready. But it only %{_sysconfdir}, not %{sysconfdir}.

http://hubbitus.net.ru/rpm/Fedora13/xneur/xneur-0.9.9-4.fc14.src.rpm

Comment 8 Martin Gieseking 2010-09-25 07:31:17 UTC
(In reply to comment #7)
> But it only %{_sysconfdir}, not %{sysconfdir}.

Sorry for the typo.

The package looks good now and we can finish here.

----------------
Package APPROVED
----------------

Comment 9 Pavel Alexeev 2010-09-25 12:45:09 UTC
Thank you very much for the review.

New Package SCM Request
=======================
Package Name: xneur
Short Description: X Neural Switcher
Owners: hubbitus
Branches: F-12 F-13 F-14
InitialCC:

Comment 10 Martin Gieseking 2010-09-26 18:19:22 UTC
(In reply to comment #9)
> Thank you very much for the review.
You're welcome. 

Please don't forget to set the fedora-cvs flag.

Comment 11 Pavel Alexeev 2010-09-26 18:57:17 UTC
It's what I already forgot :)

Comment 12 Kevin Fenzi 2010-09-27 23:09:52 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2010-09-30 18:38:59 UTC
xneur-0.9.9-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/xneur-0.9.9-4.fc12

Comment 14 Fedora Update System 2010-09-30 18:47:59 UTC
xneur-0.9.9-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xneur-0.9.9-4.fc13

Comment 15 Fedora Update System 2010-09-30 19:04:36 UTC
xneur-0.9.9-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xneur-0.9.9-4.fc14

Comment 16 Fedora Update System 2010-09-30 21:18:55 UTC
xneur-0.9.9-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xneur'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xneur-0.9.9-4.fc14

Comment 17 Fedora Update System 2010-10-08 15:04:22 UTC
xneur-0.10.0-5.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/xneur-0.10.0-5.fc12

Comment 18 Fedora Update System 2010-10-08 17:26:43 UTC
xneur-0.10.0-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xneur-0.10.0-5.fc13

Comment 19 Fedora Update System 2010-10-09 10:25:17 UTC
xneur-0.10.0-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xneur-0.10.0-5.fc14

Comment 20 Fedora Update System 2010-10-19 07:19:18 UTC
xneur-0.10.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-10-27 22:33:00 UTC
xneur-0.10.0-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-11-05 22:57:33 UTC
xneur-0.10.0-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.